curl --request POST \
--url https://api.example.com/apps/{appId}/batch_events \
--header 'Content-Type: application/json' \
--data '
{
"batch": [
{
"name": "<string>",
"data": {},
"channel": "<string>",
"channels": [
{}
],
"socket_id": "<string>",
"info": "<string>",
"tags": {},
"delta": true
}
]
}
'{
"batch": [
{
"subscription_count": 123,
"user_count": 123
}
]
}Trigger multiple events in a single request
curl --request POST \
--url https://api.example.com/apps/{appId}/batch_events \
--header 'Content-Type: application/json' \
--data '
{
"batch": [
{
"name": "<string>",
"data": {},
"channel": "<string>",
"channels": [
{}
],
"socket_id": "<string>",
"info": "<string>",
"tags": {},
"delta": true
}
]
}
'{
"batch": [
{
"subscription_count": 123,
"user_count": 123
}
]
}Documentation Index
Fetch the complete documentation index at: https://mintlify.com/sockudo/sockudo/llms.txt
Use this file to discover all available pages before exploring further.
max_event_batch_size app setting.Each event object has the same structure as the single event endpoint:Show Event Object
channel or channels)subscription_count, user_count)info). Each element corresponds to an event in the request batch.For events that didn’t request info, returns empty object {}.For events with info parameter:info, returns empty object {}.
curl -X POST "https://api.example.com/apps/my-app/batch_events?auth_key=key&auth_timestamp=1234567890&auth_version=1.0&body_md5=abc123&auth_signature=def456" \
-H "Content-Type: application/json" \
-d '{
"batch": [
{
"name": "order-created",
"channel": "orders",
"data": "{\"order_id\": 123}"
},
{
"name": "inventory-updated",
"channel": "inventory",
"data": "{\"item_id\": 456, \"quantity\": 10}"
}
]
}'
{}
info response array corresponds 1:1 with the request batch arrayinfo parameter return {} in the response arraychannel and channels, the first channel is used for the info responsemax_event_batch_size